Bug 1251419 - Should add "Show Older deployments" link to deployment page
Should add "Show Older deployments" link to deployment page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jessica Forrester
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 05:29 EDT by Wei Sun
Modified: 2015-11-23 16:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:17:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2015-08-07 05:29:34 EDT
Description of problem:
Now there is a link to show older builds and also there is a link to show older images.So we should also add a link to show "older deployments" to keep consistent on web console 

Version-Release number of selected component (if applicable):
devenv_fedora_2115
$ openshift version
openshift v1.0.4-88-ga2ad7d7
kubernetes v1.0.0


How reproducible:
Always

Steps to Reproduce:
1.Create an application
2.Build and deploy
3.Build and deploy again
4.Browse build page
5.Browse deployment page

Actual results:
4.There is "Show older builds" link
5.No "Show older deployments" link

Expected results:
Should add "Show older deployments" link to deployment page

Additional info:
Comment 1 Fabiano Franz 2015-09-14 11:25:26 EDT
This is fixed in master.
Comment 2 Wei Sun 2015-09-14 23:04:48 EDT
Verified this bug against openshift v3.0.2.0
Now there is "Show older deployments" on web console

Note You need to log in before you can comment on or make changes to this bug.